#include <InterfaceDefs.h>
#include <stdio.h>
#include "lSettings.h"

int 
main(int32 argc, char**argv)
{
	lSettings *prefs = new lSettings("/boot/home/config/settings/LoonUserKeyLocks");
	if (!prefs->FileExists())
	{	prefs->CreateFile();printf("Creating settings file...\n");
		// Defaults :
		prefs->WriteBool("NumLock"		, 	true);
		prefs->WriteBool("CapsLock"		, 	false);
		prefs->WriteBool("ScrollLock"	,	false);
	}
		
	
	
	if (argc < 2)
{
	printf("Loading...\n");
uint32 locks = B_NUM_LOCK;

if (!prefs->ReadBool("NumLock"))
	{	locks -= B_NUM_LOCK;	}
if (prefs->ReadBool("ScrollLock"))
	{	locks += B_SCROLL_LOCK;	}
if (prefs->ReadBool("CapsLock"))
	{	locks += B_CAPS_LOCK;	}


set_keyboard_locks(locks);
}

else if (!strcmp(argv[1], "--save"))
{
printf("Saving...\n");
	uint32 mods = modifiers();
	if (mods & B_NUM_LOCK){printf("Num Lock ON\n");	prefs->WriteBool("NumLock", true);}
	else{printf("Num Lock OFF\n");prefs->WriteBool("NumLock", false);}
	if (mods & B_CAPS_LOCK){printf("Caps Lock ON\n");prefs->WriteBool("CapsLock", true);}
	else{printf("Caps Lock OFF\n");prefs->WriteBool("CapsLock", false);}
	if (mods & B_SCROLL_LOCK){printf("Scroll Lock ON\n");prefs->WriteBool("ScrollLock", true);}
	else{printf("Scroll Lock OFF\n");prefs->WriteBool("ScrollLock", false);}
	
}
else
{
	printf("Options not understood!\n\nUSAGE\n	%s [--save]\n	Usage without argument loads settings\n	Usage with --save saves current keyboard locks\n", argv[0]);
}

return (0);
}
